View Issue Details

IDProjectCategoryView StatusLast Update
0000506FakturamaEinstellungen (Settings)public2018-01-22 12:26
ReporterBorneBjoern Assigned Torheydenr  
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.6.9 
Target Version2.0.1Fixed in Version2.0.1 
Summary0000506: [FAK-507 (alt)] Weiterer Platzhalter fuer Dateinamen
Description

Ich bitte ein weiteres Mal um eine kleine Modifikation, da das taegliche Arbeiten gezeigt hat, dass es immer noch einen 'Hauch' gibt, der fehlt, um wirklich perfekt zu sein.

Nachdem mit 0000233 schon ein riesen Schritt gemacht wurde, um die Rechnungen im Dateisystem zu verwalten, haette ich gerne einen weiteren Platzhalter <Kunden-Nummer> fuer Dateinamen.

Mein Ziel ist es, folgende Struktur zu erhalten: /kundendaten/{KUNDENNUMMER}-{name}/{docname}_{docref}.pdf

bsp: /kundendaten/1046-superfirma/RE-2016-0001_dienstleistung-maerz.pdf

Das waere der Platzhalter, der mir aktuell am wichtigsten ist.
Und um jedoch nicht in Kuerze mit den naechsten Aenderungswuenschen vor der Tuere zu stehen, habe ich noch ein paar weitere Fragen / Ideen / Wuensche:

  • Kann das Feld {name} intelligent befuellt werden? Sprich, ist <ADDRESS.COMPANY> befuellt, so soll dieser Wert benutzt werden, wenn nicht, dann <ADDRESS.LASTNAME>
  • Kann bei der Verwendung von {docref}/{name} im Dateinamen gewaehrleistet werden, dass Sonder- bzw Leerzeichen ersetzt und die Grosz- und Kleinschreibung angepasst werden? ==> <code>'s/\ */_/g'</code> und <code>tr/[:upper:]/[:lower:]/ ...</code>
  • Besteht eventuell sogar die Moeglichkeit, als Benutzer im Einstellungsdialog festzulegen, 'ob' und 'wie' diese Ersetzung erfolgen soll?

Ich danke schon mal im Voraus.

Bjoern

TagsNo tags attached.

Activities

rheydenr

2018-01-18 21:44

administrator   ~0000656

Neuer Platzhalter heißt companyorname. Für die Kundennummer gibt es ebenfalls einen neuen Platzhalter: custno. Bei der Verwendung von {docref}/{name} im Dateinamen werden ungültige Zeichen dur "_" ersetzt.

Die Anpassungen für Groß- und Kleinschreibung sowie die Möglichkeit der Einstellbarkeit dieser Ersetzungen habe ich erst mal weggelassen.

Issue History

Date Modified Username Field Change
2017-12-30 00:08 rheydenr New Issue
2017-12-30 00:08 rheydenr Status new => assigned
2017-12-30 00:08 rheydenr Assigned To => rheydenr
2017-12-30 00:08 rheydenr Description Updated View Revisions
2017-12-30 03:09 rheydenr Severity minor => feature
2017-12-30 22:37 rheydenr Target Version 2.0.0 => 2.0.1
2018-01-18 18:54 rheydenr Description Updated View Revisions
2018-01-18 18:55 rheydenr Description Updated View Revisions
2018-01-18 18:59 rheydenr Description Updated View Revisions
2018-01-18 18:59 rheydenr Description Updated View Revisions
2018-01-18 20:27 rheydenr Description Updated View Revisions
2018-01-18 20:27 rheydenr Description Updated View Revisions
2018-01-18 21:44 rheydenr Status assigned => resolved
2018-01-18 21:44 rheydenr Resolution open => fixed
2018-01-18 21:44 rheydenr Fixed in Version 2.0.0 => 2.0.1
2018-01-18 21:44 rheydenr Note Added: 0000656